cls
@ECHO OFF
title Folder CARTELLA
if EXIST "Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}" goto UNLOCK
if NOT EXIST CARTELLA goto MDLOCKER
:CONFIRM
echo Voglio bloccare la cartella(Y/N)
set/p "cho=>"
if %cho%==Y goto LOCK
if %cho%==y goto LOCK
if %cho%==n goto END
if %cho%==N goto END
echo scelta non valida.
goto CONFIRM
:LOCK
ren Personal "Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}"
attrib +h +s "Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}"
echo Folder locked
goto End
:UNLOCK
echo Inserire la password e sbloccare la cartella
set /p "pass=>"
if NOT %pass%==PASSWORD goto FAIL
attrib -h -s "Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}"
ren "Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}" CARTELLA
echo cartella bloccata con successo
goto End
:FAIL
echo Password non valida
goto UNLOCK2
:FAIL2
echo Password non valida
goto end
:MDLOCKER
md CARTELLA
echo cartella creata con successo
goto End
:UNLOCK2
echo Ultima possibilità di inserire la password corretta per sbloccare la cartella
set /p "pass=>"
if not %pass%==PASSWORD goto FAIL2
attrib -h -s "Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}"
ren "Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}" CARTELLA
echo cartella sbloccata con successo
:End